		private void ExecuteToWord_OnClick(object sender, RoutedEventArgs e)
        {
            var dialog = new SaveFileDialog();
            dialog.Title = "Save File";

            dialog.Filter = "Word (*.docx)|*.docx|All Files (*.*)|*.*";
            
            bool? confirm = dialog.ShowDialog();
            if (confirm.HasValue && confirm.Value)
            {
                var fi = new FileInfo(dialog.FileName);
                try
                {
                    FileStream fs = null;
                    if (fi.Exists)
                    {
                        fi.Delete();
                    }
                    fs = fi.Create();

                    this.XamRichTextEditor1.Document.SaveToWord(fs);

                    fs.Close();
                }
                catch (Exception ex)
                {
                    MessageBox.Show(string.Format("Error '{0}' while saving file '{1}'", ex.Message, dialog.FileName), "Error Saving File", MessageBoxButton.OK);
                }
            }
        }